/* UICtrl.c
*/

#include "UICtrl.h"

void UICtrlPostInternalEvent(long event_id,SME_APP_T *pApp){
	SME_EVENT_ID_T nEventId=event_id;
	SME_EVENT_T *pInteralEvent;
	pInteralEvent=SmeCreateIntEvent(nEventId,0,0,SME_EVENT_CAT_UI,pApp);
	SmePostEvent(pInteralEvent);
}

void UICtrlSetSoftkey(SOFTKEY_INFO_T* pSoftkey,
				   unsigned long sklStrId,SME_EVENT_ID_T sklEventId,
				   unsigned long skrStrId,SME_EVENT_ID_T skrEventId){
	pSoftkey->sklStrId=sklStrId;
	pSoftkey->sklEventId=sklEventId;
	pSoftkey->skrStrId=skrStrId;
	pSoftkey->skrEventId=skrEventId;
	pSoftkey->isDefined=TRUE;
}

void UICtrlLeftSoftKeyPress(SOFTKEY_INFO_T* pSoftkey){
	if(pSoftkey->isDefined)
		UICtrlPostInternalEvent(pSoftkey->sklEventId,NULL);
}

void UICtrlRightSoftKeyPress(SOFTKEY_INFO_T* pSoftkey){
	if(pSoftkey->isDefined)
		UICtrlPostInternalEvent(pSoftkey->skrEventId,NULL);
}

void UICtrlOnRightSoftKey(SOFTKEY_INFO_T* pSoftkey, SME_APP_T *pParentApp)
{
	if(pSoftkey->isDefined)
	{
		SME_EVENT_ID_T nEventId=pSoftkey->skrEventId;
		SME_EVENT_T *pInteralEvent;
		pInteralEvent=SmeCreateIntEvent(nEventId,0,0,SME_EVENT_CAT_UI,pParentApp);
		SmePostEvent(pInteralEvent);
	}
}


